netplan.io (0.99-0ubuntu3~18.04.4) bionic; urgency=medium

  * d/p/0001-Don-t-fail-if-same-primary-slave-was-set-before-LP-1.patch
    - Fix primary slave on the bond not getting set (LP: #1817651)

 -- Seyeong Kim <seyeong.kim@canonical.com>  Fri, 15 Jan 2021 07:38:20 +0000

netplan.io (0.99-0ubuntu3~18.04.3) bionic; urgency=medium

  * d/p/0004-Fix-process_link_changes-handling-up-interfaces.patch:
    - Fix process_link_changes handling 'up' interfaces (LP: #1875411)

 -- Heitor Alves de Siqueira <halves@canonical.com>  Thu, 28 May 2020 21:09:51 +0000

netplan.io (0.99-0ubuntu3~18.04.2) bionic; urgency=medium

  * Add d/p/Fix-invalid-bond-mode-SRU-regression-LP-1877643.patch (LP: #1877643)
    - Fix regression in strict bond mode checking, introduced in netplan v0.98
    - https://bugs.launchpad.net/ubuntu/+source/netplan.io/+bug/1877643

 -- Lukas Märdian <lukas.maerdian@canonical.com>  Mon, 11 May 2020 10:00:09 +0200

netplan.io (0.99-0ubuntu3~18.04.1) bionic; urgency=medium

  * Backport netplan.io 0.99 to 18.04. (LP: #1871825)
  * Keep patches specific to 18.04 support:
    - disable-networkd-tunnels-ipip-gre.patch: disable tests for unsupported
      tunnel types (ipip and gre) in the 18.04 version of systemd-networkd.
  * debian/control: introduce dependecies on libnetplan0

 -- Lukas Märdian <lukas.maerdian@canonical.com>  Mon, 04 May 2020 09:51:02 +0200

netplan.io (0.99-0ubuntu3) groovy; urgency=medium

  * Drop d/p/0001-Not-connect-to-WiFi-after-netplan-apply.patch
    - Replaced by upstream fix
  * Add d/p/0001-Fix-LP-1874377-Not-connect-to-WiFi-after-netplan-app.patch:
    - Proper upstream fix, which handles edge cases better and contains tests

 -- Lukas Märdian <lukas.maerdian@canonical.com>  Thu, 30 Apr 2020 12:51:36 +0200

netplan.io (0.99-0ubuntu2) focal; urgency=medium

  [ Lukas Märdian ]
  * debian/patches/0001-Not-connect-to-WiFi-after-netplan-apply.patch:
    - Seems like the 'netplan apply' command was not properly adopted when
      wired wpa_supplicant support was introduced.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 23 Apr 2020 15:22:07 +0200

netplan.io (0.99-0ubuntu1) focal; urgency=medium

  [ Łukasz 'sil2100' Zemczak ]
  * New upstream release: 0.99 (LP: #1871825)
    - Fixed setting MTUBytes= in .network files as well
    - Added "phase2" keyword to "auth" section
    - Allowing "critical" to be used without "dhcp4"/"dhcp6" enabled
    - Added support for GSM modems in the NetworkManager backend (with the
      "modems" keyword)
    - Added "emit-lldp" option for networkd backend (LP: #1862607)
    - Fixed netplan incorrectly generating WPA PSK hex (LP: #1867690)
    - Split out the netplan parser into a separate libnetplan library
    - Added "ipv6-address-generation" field for NM backend
    - Added WiFi flags for "bssid"/"band"/"channel"
    - Added support for SR-IOV network devices
  * debian/copyright: Change contact address as Matt is no longer available
    via the previous e-mail.
  * debian/control: Add new libnetplan packages
  * Drop d/p/0002-Adopt-integration-tests-for-NetworkManager-v1.22-foc.patch:
    included in upstream release

  [ Lukas Märdian ]
  * Drop d/p/workaround_tests_issues.patch:
    The problem was solved upstream and is integrated via
    d/p/0002-Adopt-integration-tests-for-NetworkManager-v1.22-foc.patch

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 16 Apr 2020 09:13:50 +0200

netplan.io (0.98-0ubuntu4) focal; urgency=medium

  [ Lukas Märdian ]
  * d/p/0002-Adopt-integration-tests-for-NetworkManager-v1.22-foc.patch:
    Adopt integration tests for NetworkManager v1.22 (focal)
  * debian/tests/control: add new autopkgtest dependencies for the new
    integration tests.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 23 Mar 2020 09:24:39 +0100

netplan.io (0.98-0ubuntu3) focal; urgency=medium

  * No change rebuild to get Testsuite-Triggers restored, the previous
    upload was built on an older serie/dpkg version which lead to the
    dsc to be missing the reference

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 03 Mar 2020 11:31:26 +0100

netplan.io (0.98-0ubuntu2) focal; urgency=medium

  * debian/patches/workaround_tests_issues.patch:
    - workaround a test issue, the default route seems to take a bit of
      time to be applied in n-m, wait for it before erroring out

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 29 Jan 2020 23:33:03 +0100

netplan.io (0.98-0ubuntu1~18.04.1) bionic; urgency=medium

  * Backport netplan.io 0.98 to 18.04. (LP: #1840832)
  * Keep patches specific to 18.04 support:
    - disable-networkd-tunnels-ipip-gre.patch: disable tests for unsupported
      tunnel types (ipip and gre) in the 18.04 version of systemd-networkd.
  * Drop debian/patches/glib_changes.patch: No longer necessary, changes were
    made upstream to better account for the changes in HashTable.
  * debian/netplan.io.install: add /usr/share/dbus-1

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 26 Aug 2019 16:36:03 -0400

netplan.io (0.98-0ubuntu1) eoan; urgency=medium

  * New upstream release: 0.98 (LP: #1840832)
    - Added new "feature flags" to identify new features
    - Added support for "use-domains" for DHCP overrides
    - Added support for setting IPv6 MTU Bytes (LP: #1671951)
    - Added a DBus interface to query and run 'netplan apply' via other apps
    - Various build system fixes
    - Improved validation for bonding modes
    - Added support for "hash:" for hashed 802.1x passwords (LP: #1819831)
    - Tolerate devices without a /sys path (LP: #1810043)
    - Fix incorrect separator for networkd with ARP IP targets (LP: #1829264)
  * debian/control: Add Build-Depends on libsystemd-dev for DBus feature, and
    on dbus-x11 for dbus-launch used in tests.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 21 Aug 2019 14:49:16 -0400

netplan.io (0.97-0ubuntu1~18.04.1) bionic; urgency=medium

  * Backport netplan.io 0.97 to 18.04. (LP: #1828299)
  * Keep patches specific to 18.04 support:
    - glib_changes.patch: fixes for older GLib version
    - disable-networkd-tunnels-ipip-gre.patch: disable tests for unsupported
      tunnel types (ipip and gre) in the 18.04 version of systemd-networkd.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 09 May 2019 13:11:53 -0400

netplan.io (0.97-0ubuntu1) eoan; urgency=medium

  * New upstream release: 0.97
    - networkd: force bringing up devices with no IP addresses (LP: #1763608)
    - Reworked renderer choosing to avoid regression in default renderer when
      multiple files specify it globally (LP: #1825206)
    - Fixed networkd activation. (LP: #1821867)
  * Drop all patches; they are included in the upstream release.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 08 May 2019 16:50:13 -0400

netplan.io (0.96-0ubuntu0.18.04.4) bionic; urgency=medium

  * debian/patches/git_revert_explicit_renderer_def_ebc212a.patch: revert
    commit ebc212a: make renderer values explicit at the end of each parsing
    pass; it breaks "default" renderer behavior when multiple files may set
    a global renderer and expect the last to take effect globally.
    (LP: #1825206)
  * debian/patches/git_reorg_netdef_validation_181b583.patch: correct the
    fallout from the above change: validate netdefs in a single pass at the
    very end of parsing, once we know which is the applicable renderer. This
    makes sure tunnels get validated correctly.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 26 Apr 2019 15:19:47 -0400

netplan.io (0.96-0ubuntu0.18.04.3) bionic; urgency=medium

  * debian/patches/disable-networkd-tunnels-ipip-gre.patch: disable IPIP and
    GRE tunnel tests; those appear to be broken because neither the kernel nor
    networkd bring up the device automatically as in other releases.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 09 Apr 2019 17:24:51 -0400

netplan.io (0.96-0ubuntu0.18.04.2) bionic; urgency=medium

  * d/p/0001-Partially-revert-the-change-for-enabling-systemd-net.patch:
    Partially revert changes to networkd jobs ordering: leave systemd-networkd
    enabled in multi-user.target instead of network-online.target, as in some
    minimal setups there might be no job requiring network-online.target,
    whereas the natural target to reach for booting is multi-user.target.
    (LP: #1821867)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 28 Mar 2019 14:03:17 -0400

netplan.io (0.96-0ubuntu0.18.04.1) bionic; urgency=medium

  * Backport netplan.io 0.96 to 18.04.
  * debian/patches/glib_changes.patch: Patch tests to work again on older GLib.
  * debian/control: adjust Depends for bionic / re-add nplan package.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 07 Mar 2019 17:07:27 -0500

netplan.io (0.96-0ubuntu1) disco; urgency=medium

  * New upstream release 0.96.
    - Moved netplan-wpa@ services to earlier at boot (LP: #1819014)
    - Restart services when unconfiguring (LP: #1811868)
    - Use the .nmconnection extension for NM keyfiles (LP: #1817655)
    - Fixed integration tests runner to correctly report failures
    - Enforce integrity for use-routes in networkd backend.
    - Ensure terminal state at end of test (LP: #1817660)
    - Various small test fixes.
    - Fix typos in documentation.
  * debian/control: Update Maintainer for ubuntu upload.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 07 Mar 2019 14:00:26 -0500

netplan.io (0.95-2) unstable; urgency=medium

  * Set Priority to optional (Closes: #920327).

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 24 Jan 2019 09:43:13 +0100

netplan.io (0.95-1) unstable; urgency=medium

  * New upstream release.
  * Update autopkgtests from the upstream.
  * Add debian/watch following GitHub releases.
  * Add Homepage (Closes: #917233).

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 29 Dec 2018 16:34:23 +0100

netplan.io (0.95) disco; urgency=medium

  * New upstream release:
    - Added support for WPA Enterprise / 802.1x authentication (LP: #1739578)
    - Added support for setting up IP tunnels; supporting the types: ipip,
      gretap, VTI, ISATAP (NetworkManager only), sit, gre, ipip6 and ip6ip6.
      + Fixes sit (ipv6) tunnels using Hurricane Electric (LP: #1799487)
    - Add support to override networkd UseMTU setting (LP: #1807273)
    - Generate output files in dependency order
    - Refactored unit and integration tests, along with various cleanups.
    - Add DHCP overrides to control route usage and default metric for DHCP
      routes. (LP: #1776228)
    - Mitigate against bad matching on devices behind bonds then they share
      the same MAC from a physical interface. (LP: #1804861)
    - Added snapcraft.yaml.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 14 Dec 2018 16:04:05 -0500

netplan.io (0.90.1) disco; urgency=medium

  * Do not assume /etc/network exists in postinst, as netbase 5.5 no longer
    creates it.
  * netplan/cli/commands/ip.py: fix a flake.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 26 Nov 2018 10:59:38 +1300

netplan.io (0.90) disco; urgency=medium

  * New upstream release:
    - build: fixes for building on RPM-based distros
    - build: code prettiness changes (make indentation consistent)
    - Fix device name-changes detection (LP: #1770082)
    - Add support for IPv6 Privacy Extensions (LP: #1750392)
    - Add dhcp{4,6}-overrides to control DNS, NTP, hostname updates via DHCP
      (LP: #1759014)
    - Clarify MAC and MTU setting requirements (LP: #1800668)
    - Various documentation fixes (LP: #1800669)
    - Improve error reporting to give clearer messages and context
      (LP: #1800670)
    - Skip non-physical/bond interfaces when applying renames (LP: #1802322)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 21 Nov 2018 14:06:13 -0500

netplan.io (0.40.2-1) unstable; urgency=medium

  * Upload to Debian (Closes: #882661).

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 14 Nov 2018 16:29:42 -0800

netplan.io (0.40.2) cosmic; urgency=medium

  * tests/integration.py: Mark regexes with r to pacify pycodestyle's W605.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 04 Oct 2018 16:02:53 -0400

netplan.io (0.40.1) cosmic; urgency=medium

  * tests/generate.py: use random.sample() instead of random.choices() to
    better support older pythons.
  * Deal gracefully with empty files on 'netplan apply' (LP: #1795343)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 04 Oct 2018 12:05:49 -0400

netplan.io (0.40) cosmic; urgency=medium

  * New upstream release:
    - networkd: route source is PreferredSource= not From=
    - Improve NetworkManager error reporting on unrenderable routes.
    - Don't render ipv4 dns-search unless we have an ipv4 address.
      (LP: #1786726)
    - Set permissive umask on networkd .network, .link and .netdev files
      (LP: #1736965, LP: #1768560)
    - Fix support for link-scope routes. (LP: #1747455)
    - Update man pages for deletion of replug code.
    - Spell Gratuitous ARP correctly and make it work. (LP: #1756701)
    - Many typo fixes for documentation. (LP: #1783940)
    - Various build system fixes.
    - Fix integration tests:
      - iproute2 output changes for link-scope routes
      - fix stability of networkd igmp-resend test
      - fix manual_addresses test now that networkd lists ~. domain
    - Deduplicate code for parsing interface options
    - Add support for optional-addresses.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 13 Sep 2018 17:29:41 -0400

netplan.io (0.39) cosmic; urgency=medium

  * New upstream release:
    - Allow link-local addresses to be configured. (LP: #1771704)
    - Forces bridges with no addresses to be brought online. (LP: #1736975)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 16 Jul 2018 08:15:05 -0400

netplan.io (0.38) cosmic; urgency=medium

  * New upstream release:
    - Write udev .rules files to /run/udev/rules.d to enforce interface
      renaming. (LP: #1770082)
    - Don't traceback for 'netplan ip leases' when iface is not managed or
      doesn't DHCP (LP: #1768823)
    - Fix duplicate "/" path separator in error messages (LP: #1771440)
    - Fix incorrect terminal reset in 'netplan try' on Ctrl-C. (LP: #1768798)
    - Updated doc entries: mtu, fix fwmark->mark, cleanup optional.
      (LP: #1768783)
    - Added documentation validation at build.
    - Added configuration example for multi-ip interfaces.
  * tests/integration.py: fix test_eth_and_bridge autopkg test harder.
  * debian/control:
    - Add iproute2 to Depends.
    - Add python3-netifaces to Depends, Build-Depends.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 04 Jun 2018 14:45:26 -0400

netplan.io (0.37.1) cosmic; urgency=medium

  * tests/integration.py: fix autopkgtests to be less flaky, especially given
    changes in systemd-networkd's behavior regarding Router Advertisements.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 11 May 2018 09:58:19 -0400

netplan.io (0.37) cosmic; urgency=medium

  * doc/netplan.md: Clarify the behavior for time-based values for bonds
    and bridges. (LP: #1756587)
  * critical: provide a way to set "CriticalConnection=true" on a networkd
    connection, especially for remote-fs scenarios. (LP: #1769682)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 08 May 2018 17:02:26 -0400

netplan.io (0.36.1) bionic; urgency=medium

  * tests/integration.py: Do a better cleanup for bridge-based tests; should
    fix instability with test_mix_bridge_on_bond.
  * tests/integration.py: Adjust autopkgtests to account for default behavior
    change for up/down delay, arp interval, mii interval introduced in the
    last upload.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 23 Apr 2018 17:03:11 -0400

netplan.io (0.36) bionic; urgency=medium

  * 'netplan try': properly reset terminal flags at the end of the command,
    so that terminal behaves the same after as before it was run.
    (LP: #1766283)
  * Fix default behavior for unspecified time values in bond parameters: if
    no time-value suffix such as 'ms' is added, consider the value to be in
    milliseconds for MII monitor interval, up/down delay and ARP interval
    so users can have the expected additional granularity when setting up
    these parameters. (LP: #1765833)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 23 Apr 2018 11:38:56 -0400

netplan.io (0.35) bionic; urgency=medium

  * debian/postinst: fix version check for when to write breadcrumbs.
    (LP: #1756742)
  * bonds/bridges: Support specifying time-based values with "ms" suffix when
    the value should be in milliseconds; while keeping support for the previous
    behavior of handling values are pure seconds when no suffix is present.
    (LP: #1745597)
  * IPv6: accept-ra should default to being unset, so that the kernel default
    can be used. (LP: #1732002)
  * DHCPv4: add a "dhcp-identifier: mac" field that can be set to fix interop
    with Windows Server-based DHCP servers which don't support RFC 4361.
    (LP: #1738998)
  * docs, examples: reformat comments in examples, add standalone example files
  * debian/docs, debian/netplan.io.install: install doc and examples in the
    right locations.
  * netplan try: allow users to preview/test and approve network configuration
    changes, and automatically revert if they are not accepted. (LP: #1764824)
  * networkd: don't wipe out /run/netplan on generate: we do want to keep any
    YAML configurations in that directory, we just need to remove generated
    wpasupplicant configs. (LP: #1764869)
  * debian/control: add bash-completion to Build-Depends to make sure we do
    install completion files in the right location.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 17 Apr 2018 21:49:21 -0400

netplan.io (0.34.1) bionic; urgency=medium

  * Makefile: be more distro-agnostic, support different paths for pyflakes,
    pycodestyle, etc.
  * Makefile: allow varying install destinations.
  * Do not attempt to rebind driver 'qeth'. (LP: #1756322)
  * docs/netplan.md: clarify the behavior of 'dhcp6: yes'.
  * docs/netplan.md, docs/manpage.md: rework documentation files to generate
    the manpage with its own headers and other things that don't apply to other
    doc formats such as HTML.
  * migrate: command renamed from ifupdown-migrate, although still disabled.
  * tests: re-instate bridge-priority integration test.
  * Added .spec build rules file for building RPM packages.
  * debian/postinst: reworded "breadcrumbs" written to /etc/network/interfaces.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 22 Mar 2018 15:09:12 -0400

netplan.io (0.34) bionic; urgency=medium

  * New release 0.34 (LP: #1754019):
    * Implement "optional: true" to correctly write systemd network definitions
      with "RequiredForOnline=false", so that these networks do not block boot.
      (LP: #1664844)
    * Implement 'help' as a subcommand of any netplan command, so that running
      'netplan * help' always returns some helpful information. (LP: #1748629)
    * Reinstate snap support for dealing with the NetworkManager snap.
      (LP: #1747714)
    * Added bash completion. (LP: #1749869)
    * Implement 'netplan ip leases': allows users to retrieve lease information
      for the backend in use; to query for custom DHCP options.
    * Don't silently break bridge-priority; fix it instead. (LP: #1752162)
    * Miscellaneous coverage, linting, and fuzzing fixes.
    * Refactor subcommands into separate source files, automate command loading
      and various code cleanups.
    * Disable "ifupdown-migrate"; which is incomplete and thus risks breaking
      systems. Better iterate over it without showing it as a viable option.
    * Add better routing support, implement initial routing policy support.
      - Add 'on-link' support. (LP: #1735193)
  * debian/control:
    - Renamed source and "real" binary to netplan.io.
    - Added a transitional package for nplan.
    - Updated Vcs-* fields to point to the Github project we now use.
    - Updated Standards-Version, debhelper.
  * debian/compat: bump to debhelper compat level 11.
  * debian/copyright: Update Format: field for https.
  * debian/netplan.io.install: obligatory file to install files.
  * debian/source/format: now we're 3.0 native, for reals.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 07 Mar 2018 15:29:45 +0100

nplan (0.33) bionic; urgency=medium

  * replug: Do not unbind ath9kl_sdio. Thanks Oliver! (LP: #1741910)
  * doc: fix syntax for IPv6 example addresses. IPv6 needs to be escaped in
    YAML. (LP: #1735317)
  * debian/postinst: Write breadcrumbs on disk in /etc/network/interfaces to
    denote the migration to using netplan. (LP: #1744968)
  * bridge: implement port-priority support for the NM and networkd backends.
    (LP: #1735821)
  * doc: routes are not top-level but per-interface. (LP: #1726695)
  * Rework CLI parsing / code layout to better handle subcommands.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 23 Jan 2018 11:32:47 -0500

nplan (0.32) bionic; urgency=medium

  * src/nm.c: better handle the UUID generation; the order of iterating
    through interaces may affect things here. Also make sure the tests catch
    a null UUID.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 14 Nov 2017 08:53:51 -0500

nplan (0.31) bionic; urgency=medium

  [ Mathieu Trudel-Lapierre ]
  * src/nm.c: generate a UUID for a connection only as needed; when we're
    dealing with NM VLANs. (LP: #1712921)
  * debian/tests/autostart: Make the autostart test more verbose and avoid
    failing right from the start when systemd-networkd is disabled.
    (LP: #1699371)
  * tests/integration.py: bump the NetworkManager timeout for settling to
    120 seconds, autopkgtest infrastructure tends to be a little slow for the
    network device configuration to be applied and noticed by NM.
    (LP: #1699371)

  [ Dimitri John Ledkov ]
  * Reload udevd to invalidate configuration cache of .rules/.link files
    as generate step may have changed them. LP: #1669564

  [ Dan Streetman ]
  * Add another interface driver exception to netplan replug to prevent unbind
    of the Xen VIF interfaces. (LP: #1729573)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 08 Nov 2017 14:02:39 -0500

nplan (0.30) artful; urgency=medium

  * Add an "optional" syntax node for now to all devices. This is unimplemented
    for now, but intended to allow users to mark some devices as optional: to
    make sure they do not delay boot when configured. (LP: #1664844)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 11 Oct 2017 21:26:48 -0400

nplan (0.29) artful; urgency=medium

  * Fix autopkgtests in a world where /run/NetworkManager/conf.d already
    exists. nplan is enabled by default, so it might well have the directory
    already created on the filesystem.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 19 Sep 2017 15:24:17 -0400

nplan (0.28) artful; urgency=medium

  * Revert 56cd3eec which disabled IPv6 Router Advertisements by default. It
    broke default network config in LXD and was contrary to the defaults used
    by the kernel. Reopens LP: 1655440. (LP: #1717404)
  * Add "accept-ra:" key for all device types; this will default to OFF but
    allow users to disable processing Router Advertisements when required by
    their network setup. (LP: #1655440)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 18 Sep 2017 16:11:45 -0700

nplan (0.27) artful; urgency=medium

  [ Mathieu Trudel-Lapierre ]
  * Fix crash in systemd generator if called by an user on the command-line
  * coverage: fix exclusions to properly not cover our "never reached defaults"

  [ Dimitri John Ledkov ]
  * tests/integration.py: In teardown, stop systemd-networkd.socket.
  * src/networkd.c: Set UseMTU=true by default, whenever DHCP is in use.
    (LP: #1717471)
  * tests/integration.py: fix resolved detection.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 15 Sep 2017 14:25:22 +0100

nplan (0.26) artful; urgency=medium

  * Bonding:
    - Add support for specifying a primary slave. (LP: #1709135)
  * Rebind:
    - Fix brcmfmac harder. Treat any 'brcmfmac' driver as not supporting
      rebind. (LP: #1712224)
  * Autopkgtests:
    - Add allow-stderr. Systemd now bleats about a the networkd socket still
      being around and enabled when we restart the service; but we don't need
      to care since we're /restarting/ the service to load the new config.
    - Fix the autostart package to be more sensible: we don't really care if
      networkd autostarts or not, but we need to make sure that our generator
      will run at boot, so instead check the state, but only assert it once
      we've added a config file and before checking the state of our dummy
      device.
    - Do a bit more to make sure "mix" tests which stack virtual devices are
      as reliable as possible; by setting saner defaults.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 23 Aug 2017 19:32:33 -0400

nplan (0.25) artful; urgency=medium

  * tests/generate.py: add a test to validate that correct blacklist entries
    are added when creating virtual devices.
  * tests/integration.py: clean up after br0 in networkd's test_bridge_mac; as
    the remaining interface and udev configuration can confuse NetworkManager
    now that it seems to manage random devices it did not create again.
    (LP: #1699371)
  * src/nm.c: set the MTU even though we also specify it in systemd-networkd
    for consumption by udev. NetworkManager will try to set it and might
    otherwise default to the wrong value.
  * src/networkd.c: Set IPv6AcceptRA=no anytime we don't do DHCPv6 (or by the
    same config, SLAAC), and don't have static addresses set. This should fix
    the cases where unconfigured devices still get an IPv6 address.
    (LP: #1655440)
  * src/nm.c: Explicitly set IPv6 method=ignore when IPv6 is otherwise not
    configured; this follows the same logic as setting IPv6AcceptRA=no in
    networkd, with the exception that NM does not currently disable RAs. When
    it does, an unconfigured device for IPv6 will truly be left with no config.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 13 Jul 2017 16:22:18 -0400

nplan (0.24) artful; urgency=medium

  * debian/control: set Priority to important to make sure we can get into
    minimal.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 15 Jun 2017 21:37:51 -0400

nplan (0.23) artful; urgency=medium

  * Do not unbind brcmfmac, interface will be gone. (LP: #1696162)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 06 Jun 2017 12:25:22 -0400

nplan (0.22) artful; urgency=medium

  * Add support for setting a custom MAC address on all device types.
    (LP: #1690388)
  * Improved MAC/vlan integration tests; thanks for Dimitri John Ledkov for the
    changes.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 22 May 2017 11:57:39 -0400

nplan (0.21) artful; urgency=medium

  [ Ryan Harper ]
  * Add support for setting MTU on a device. (LP: #1668693)

  [ Mathieu Trudel-Lapierre ]
  * Don't rebind Atheros AR9271; it would confuse the driver. (LP: #1672740)
  * debian/control: Add Conflicts: against netplan; the network 'plan' daemon.
    Both ship the same /usr/sbin/netplan. (LP: #1665842)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 02 May 2017 09:37:57 -0400

nplan (0.20) zesty; urgency=medium

  * tests/integration.py: increase timeout for integration tests (networkd and
    NetworkManager "wait-online" checks) to account for longer bring-up times
    when dealing with stacked virtual devices.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 04 Apr 2017 21:26:01 -0400

nplan (0.19) zesty; urgency=medium

  * Add support for unordered definition of network devices: you can now
    specify a virtual devices before their member devices. (LP: #1670495)
  * Allow setting up the STP state for a bridge. (LP: #1665088)
  * Document bond/bridge parameters support. (LP: #1664702)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 09 Mar 2017 11:04:50 -0500

nplan (0.18) zesty; urgency=medium

  * debian/tests/integration.py: in some cases 'iw reg get' may qualify the
    reg domain results with 'global'; we must not let that trip up tests when
    they are run on Ubuntu infrastructure vs. local tests.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 07 Feb 2017 11:12:37 -0500

nplan (0.17) zesty; urgency=medium

  * New release:
    - Add support for configuring bonds.
    - Add support for configuring bridges.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 01 Feb 2017 18:35:45 -0500

nplan (0.16) zesty; urgency=medium

  [ Martin Pitt ]
  * doc/example-config: Adjust "routes:" example.
    It does not make sense to make "routes:" a global thing, they should be
    tied to an interface so that the route is only set when the corresponding
    interface exists and is up, and the config is not split in two parts.
  * doc/netplan.md: Point out that NM does not support globbing (LP: #1631018)

  [ Mathieu Trudel-Lapierre ]
  * Fix coverage for src/netplan to be 100%, and fail if coverage falls below
    that mark again.
  * Add support for specifying routes.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 23 Dec 2016 12:33:34 -0500

nplan (0.15) zesty; urgency=medium

  * tests/generate.py: Fix PEP-8 error (newly detected by -proposed
    pycodestyle).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 09 Nov 2016 17:12:54 +0100

nplan (0.14) zesty; urgency=medium

  * tests/generate.py: Introduce macros for commonly expected networkd output
  * networkd: Use NetworkManager compatible DHCP route metrics (LP: #1639754)
  * doc/netplan.md: Fix wrong wifi reference in "br0" example
  * doc/netplan.md: Clarify introduction
  * tests/integration.py: Fix race condition with waiting for networkd

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 09 Nov 2016 16:57:49 +0100

nplan (0.13) zesty; urgency=medium

  [ Jonathan Cave ]
  * Blacklist mwifiex_pcie from rebinds (work around LP: #1630285)

  [ Martin Pitt ]
  * Add support for nameservers (LP: #1626617)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 20 Oct 2016 16:23:58 +0200

nplan (0.12) yakkety; urgency=medium

  * netplan apply: Ignore Non-symlinks in /sys/class/net
  * tests/integration.py: Stop upping client veth interfaces
  * Add support for bonds

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 30 Aug 2016 10:32:17 +0200

nplan (0.11.1) yakkety; urgency=medium

  * tests/integration.py: Clean up wpa_supplicant in between tests

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 30 Aug 2016 07:21:02 +0200

nplan (0.11) yakkety; urgency=medium

  * Support /lib/netplan/*.yaml files.
    This is useful for configuration snippets shipped by packages.
  * Add networkd support for wifi (LP: #1616928)
    networkd cannot handle wifi natively, so generate a wpa_supplicant
    configuration and unit that does the WLAN part and leave the IP part to
    networkd.
    This supports open and WPA2, and infrastructure and adhoc mode. "match:" is not
    supported as the netplan-wpa@.service helper unit is bound to the named network
    interface device unit.
  * As networkd can now handle wifi devices, use networkd consistently as a default
    renderer.
  * tests/integration.py: Kill leftover NetworkManager processes between tests.
    NetworkManager.service has KillMode=process and leaks dhclient processes.
  * Fix package description for updated yaml paths

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 29 Aug 2016 17:25:33 +0200

nplan (0.10) yakkety; urgency=medium

  * Add "netplan ifupdown-migrate" command.
    This supports converting "loopback" (no-op) and "dhcp" interfaces (without
    options) for now.
  * Add "dhcp6:" option
  * Add "gateway[46]:" options
  * Ship empty /etc/netplan in the package
  * NM: Explicitly disable implied DHCP default when DHCP is not enabled.
    (LP: #1617051)
  * tests/integration.py: Quiesce systemd-networkd-wait-online.
  * Add support for VLAN.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 28 Aug 2016 21:25:45 +0200

nplan (0.9) yakkety; urgency=medium

  * tests/integration.py: Improve debug messages on failure
  * netplan apply: disconnect devices from NetworkManager before restarting.
    Merely restarting NetworkManager does not suffice to apply a changed
    configuration, so disconnect managed devices first.
    Add autopkgtest to reproduce the problem and confirm the fix.
  * Fix configuration path in package description
  * networkd: Change generated config file prefix to "10-netplan"
    Just "netplan-*" sorts after /lib/systemd/network/99-default.link.
  * netplan apply: Force-replug network devices which are down to apply renames.
    Unbind/rebind network devices from their driver to simulate a hotplug, so
    that device renames get applied. Don't do this for devices which are up
    (or "unknown") though, to avoid disrupting existing network connections.
  * tests/integration.py: Add workaround for NM "unmanaged-devices="
    mishandling (LP #1615044)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 19 Aug 2016 19:10:33 +0200

nplan (0.8) yakkety; urgency=medium

  * tests/cli.py: Test "generate" more precisely
  * Let "make coverage" fail if coverage is < 100%
  * Support /run/netplan/*.yaml files.
    This is useful if you want to try out a new network config before
    "committing" it to /etc: if your remote server is still reachable after
    "apply", you copy the files to /etc; otherwise rebooting will go back to
    the known-good state.
  * If global renderer is set to NM, allow NM to manage all devices.
    By default, NetworkManager only manages wifi and wwan devices (via
    /usr/lib/NetworkManager/conf.d/10-globally-managed-devices.conf). If
    global renderer is set to NetworkManager, disable that file in /run so
    that NM will once again manage all devices. This should be configured on
    desktop systems.
  * netplan apply: Asynchronously restart networkd/NM.
    This avoids deadlocks when calling "apply" during the boot sequence.
    (LP: #1614061)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 17 Aug 2016 16:03:33 +0200

nplan (0.7) yakkety; urgency=medium

  * tests/cli.py: Fix TestGenerate to not depend on installed netplan

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 16 Aug 2016 16:39:11 +0200

nplan (0.6) yakkety; urgency=medium

  * Enable systemd-networkd-wait-online when starting networkd (LP: #1613548)
  * networkd: Prefix generated files with "netplan-"
  * generate: Clean up obsolete generated configs (LP: #1608223)
  * Prefer pycodestyle over pep8
  * Add initial "netplan" CLI. This implements commands "generate" and "apply"
    (partially) for now.
  * tests/integration.py: Use systemd-networkd-wait-online instead of polling
  * netplan.5: Add missing NAME section

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 16 Aug 2016 16:23:02 +0200

nplan (0.5) yakkety; urgency=medium

  * Recognize booean values as per YAML spec (LP: #1606839)
  * Add explicit systemd test dependency
  * networkd: Disable LinkLocalAddressing and RA for bridge components
  * Move "generate" from a systemd unit to a systemd generator
  * Automatically start networkd iff there is any networkd configuration
    (LP: #1607693)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 01 Aug 2016 17:27:54 +0200

nplan (0.4) yakkety; urgency=medium

  * tests/integration.py: Avoid stderr output on reset-failed
  * Document configuration (man, html)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 29 Jul 2016 10:45:33 +0200

nplan (0.3) yakkety; urgency=medium

  * Properly terminate wifi_access_point_handlers list

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 26 Jul 2016 21:57:26 +0200

nplan (0.2) yakkety; urgency=medium

  * Fix unstable TestConfigArgs.test_file_args() test
  * Add license/copyright headers to all source files

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 26 Jul 2016 16:29:26 +0200

nplan (0.1) yakkety; urgency=medium

  * Initial release.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 26 Jul 2016 16:14:37 +0200
